Bug 166265 - Review request: perl-Text-Wrapper - Text::Wrapper Perl module
Summary: Review request: perl-Text-Wrapper - Text::Wrapper Perl module
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Grau
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Text-Wrap...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-18 13:58 UTC by Ralf Corsepius
Modified: 2019-03-08 21:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 16:09:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2005-08-18 13:58:48 UTC
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Text-Wrapper.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Text-Wrapper-1.000-1.src.rpm

Description:
This module provides simple word wrapping.  It breaks long lines, but does
not alter spacing or remove existing line breaks.  If you're looking for
more sophisticated text formatting, try the Text::Format module.

Comment 1 Chris Grau 2005-08-20 16:37:13 UTC
Good:

- rpmlint clean
- package name okay
- spec file name okay
- compatible license (GPL or Artistic)
- license matches upstream
- spec file is am. english (and legible)
- source matches upstream (sha1: 573bc7c1b90dbddfdbe2f273548abbf57847842b)
- builds on FC-4/i386
- builds in mock (FC-3/i386)
- no unnecessary BRs
- no locales
- no shared libs
- not relocatable
- owns created dirs
- no duplicate %files
- file permissions okay
- %clean okay
- consistent use of macros
- code, not content
- no -docs package
- %doc does not affect runtime
- no -devel package

Needswork:

- license not included as %doc

As noted in bug 166251, just add

  perldoc -t perlartistic > Artistic
  perldoc -t perlgpl > COPYING

to %prep and add the resulting files to %doc.

- summary is not very descriptive

The Text::Wrapper distribution uses "Simple word wrapping routine," which would
be a little better.

In Makefile.PL:
# This next line is just for my own use, you should comment it out:
                    PREOP => 'cjm_fixup $(DISTVNAME)' # Converts CRLF to LF

I tested both leaving it as is and commenting out the line as instructed.  It
made no difference on my system.  Still, I think it would be best to patch
Makefile.PL to comment out the line.  I'll leave that to your discretion.

All of these can be done post-commit, so consider this APPROVED.


Comment 2 Ralf Corsepius 2005-08-21 03:03:56 UTC
(In reply to comment #1)
> - license not included as %doc
I will not accept this as a valid point, unless a US lawyer confirms this
to be a legal requirement in the USA.

[...]
> All of these can be done post-commit, so consider this APPROVED.
OK, I'll investigate you other points.

Comment 3 Chris Grau 2005-08-23 02:37:48 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > - license not included as %doc
> I will not accept this as a valid point, unless a US lawyer confirms this
> to be a legal requirement in the USA.

I'm not sure it matters if you accept it or if I accept it (I don't, for what
it's worth).  The fact of the matter is, this requirement is part of the
packaging guidelines, which renders the legal argument moot.

That said, however, no one else has commented on this point and I haven't seen a
concrete conclusion on fedora-extras-list regarding inclusion of a license for
Perl modules that don't themselves include one.  For these reasons, I will
continue to add this point as a nitpick, but not as a blocker.


Note You need to log in before you can comment on or make changes to this bug.